## org.hibernate.secure
Class JACCPreUpdateEventListener

    java.lang.Object
      org.hibernate.secure.JACCPreUpdateEventListener

All Implemented Interfaces:
  Serializable, Initializable, PreUpdateEventListener, JACCSecurityListener

    public class JACCPreUpdateEventListener

extends Object
implements PreUpdateEventListener, Initializable, JACCSecurityListener

Check security before any update

Version:
  $Revision: 8702 $
Author:
  Kabir Khan
See Also:
  Serialized Form

Constructor Summary
`JACCPreUpdateEventListener()`

Method Summary
`void` `initialize(Configuration cfg)`
`boolean` `onPreUpdate(PreUpdateEvent event)` Return true if the operation should be vetoed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPreUpdateEventListener

    public JACCPreUpdateEventListener()

Method Detail

### onPreUpdate

    public boolean onPreUpdate(PreUpdateEvent event)

  Description copied from interface: `PreUpdateEventListener`
  Return true if the operation should be vetoed

  Specified by:
    `onPreUpdate` in interface `PreUpdateEventListener`

### initialize

    public void initialize(Configuration cfg)

  Specified by:
    `initialize` in interface `Initializable`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.